@echo off
cls
:: G2S or G2+ Device

for /f %%y in ('FINDSTR "mac=" unit.txt') do set mac=%%y
set mac=%mac:~4,20%

for /f %%i in ('FINDSTR "token" token.txt') do set temp=%%i
set token=%temp:~27,19%

set table=network
set var1=ipMode
set val1=dhcp
set var2=ipAddress
set val2=192.168.1.254
set var3=subnetMask
set val3=255.255.255.0
set var4=gateway
set val4=192.168.1.1
set var5=dns
set val5=192.168.1.1

echo.
echo Configure Network Settings [%mac%]
echo token is %token%
echo.
echo.
echo %table%
echo %var1% - %val1%
echo %var2% - %val2%
echo %var3% - %val3%
echo %var4% - %val4%
echo %var5% - %val5%
echo.
echo.

curl -s -H "Content-Type: application/json" -d "{\"token\":\"%token%\",\"mac\":\"%mac%\",\"%table%\":{\"%var1%\":\"%val1%\",\"%var2%\":\"%val2%\",\"%var3%\":\"%val3%\",\"%var4%\":\"%val4%\",\"%var5%\":\"%val5%\"}}" -X POST https://iboot.co/services/v2/configuration/iBoot/set
echo.
echo.

pause
exit