@echo off
cls
:: G2S or G2+ Device

for /f %%y in ('FINDSTR "mac=" unit.txt') do set mac=%%y
set mac=%mac:~4,20%

for /f %%i in ('FINDSTR "token" token.txt') do set temp=%%i
set token=%temp:~27,19%

set table=tables
set var1=device
set var2=expansion
set var3=network
set var4=advancedNetwork
set var5=gracefulShutdown
set var6=autoping
set var7=heartbeat
set var8=schedule

echo.
echo Get and Display all Settings [%mac%]
echo token is %token%
echo.
echo.
echo %table%
echo %var1%
echo %var2%
echo %var3%
echo %var4%
echo %var5%
echo %var6%
echo %var7%
echo %var8%
echo.
echo.


curl -s -H "Content-Type: application/json" -d "{\"token\":\"%token%\",\"mac\":\"%mac%\",\"%table%\":[\"%var1%\",\"%var2%\",\"%var3%\",\"%var4%\",\"%var5%\",\"%var6%\",\"%var7%\",\"%var8%\"]}" -X POST https://iboot.co/services/v2/configuration/iBoot/get

echo.
echo.
echo.
echo.
echo.
echo.
echo Get and Display Only %var1%
curl -s -H "Content-Type: application/json" -d "{\"token\":\"%token%\",\"mac\":\"%mac%\",\"%table%\":[\"%var1%\"]}" -X POST https://iboot.co/services/v2/configuration/iBoot/get
echo.
echo.

pause
exit