@echo off
cls
:: G2S or G2+ Device

for /f %%y in ('FINDSTR "mac=" unit.txt') do set mac=%%y
set mac=%mac:~4,20%

for /f %%i in ('FINDSTR "token" token.txt') do set temp=%%i
set token=%temp:~27,19%


set table=gracefulShutdown
set var1=gsMainEnabled
set val1=0
set var2=gsMainIp
set val2=
set var3=gsMainUser
set val3=
set var4=gsMainPassword
set val4=
set var5=gsMainShutdownDelay
set val5=120
set var6=gsMainRebootDelay
set val6=120
set var7=gsExp1Enabled
set val7=0
set var8=gsExp1Ip
set val8=
set var9=gsExp1User
set val9=
set var10=gsExp1Password
set val10=
set var11=gsExp1ShutdownDelay
set val11=120
set var12=gsExp1RebootDelay
set val12=120
set var13=gsExp2Enabled
set val13=0
set var14=gsExp2Ip
set val14=
set var15=gsExp2User
set val15=
set var16=gsExp2Password
set val16=
set var17=gsExp2ShutdownDelay
set val17=120
set var18=gsExp2RebootDelay
set val18=120

echo.
echo Configure Graceful Shutdown Settings [%mac%]
echo token is %token%
echo.
echo.
echo %table%
echo %var1% - %val1%
echo %var2% - %val2%
echo %var3% - %val3%
echo %var4% - %val4%
echo %var5% - %val5%
echo %var6% - %val6%
echo %var7% - %val7%
echo %var8% - %val8%
echo %var9% - %val9%
echo %var10% - %val10%
echo %var11% - %val11%
echo %var12% - %val12%
echo %var13% - %val13%
echo %var14% - %val14%
echo %var15% - %val15%
echo %var16% - %val16%
echo %var17% - %val17%
echo %var18% - %val18%
echo.
echo.


curl -s -H "Content-Type: application/json" -d "{\"token\":\"%token%\",\"mac\":\"%mac%\",\"%table%\":{\"%var1%\":\"%val1%\",\"%var2%\":\"%val2%\",\"%var3%\":\"%val3%\",\"%var4%\":\"%val4%\",\"%var5%\":\"%val5%\",\"%var6%\":\"%val6%\",\"%var7%\":\"%val7%\",\"%var8%\":\"%val8%\",\"%var9%\":\"%val9%\",\"%var10%\":\"%val10%\",\"%var11%\":\"%val11%\",\"%var12%\":\"%val12%\",\"%var13%\":\"%val13%\",\"%var14%\":\"%val14%\",\"%var15%\":\"%val15%\",\"%var16%\":\"%val16%\",\"%var17%\":\"%val17%\",\"%var18%\":\"%val18%\"}}" -X POST https://iboot.co/services/v2/configuration/iBoot/set
echo.
echo.

pause
exit