@echo off
cls
:: G2S or G2+ Device

for /f %%y in ('FINDSTR "mac=" unit.txt') do set mac=%%y
set mac=%mac:~4,20%

for /f %%i in ('FINDSTR "token" token.txt') do set temp=%%i
set token=%temp:~27,19%


set table=heartbeat
set var1=source
set val1=none
set var2=port
set val2=9100
set var3=frequency
set val3=10
set var4=failCount
set val4=3
set var5=action
set val5=none
set var6=cycle
set val6=1
set var7=control
set val7=main

echo.
echo Configure Heartbeat Settings [%mac%]
echo token is %token%
echo.
echo.
echo %table%
echo %var1% - %val1%
echo %var2% - %val2%
echo %var3% - %val3%
echo %var4% - %val4%
echo %var5% - %val5%
echo %var6% - %val6%
echo %var7% - %val7%
echo.
echo.


curl -s -H "Content-Type: application/json" -d "{\"token\":\"%token%\",\"mac\":\"%mac%\",\"%table%\":{\"%var1%\":\"%val1%\",\"%var2%\":\"%val2%\",\"%var3%\":\"%val3%\",\"%var4%\":\"%val4%\",\"%var5%\":\"%val5%\",\"%var6%\":\"%val6%\",\"%var7%\":\"%val7%\"}}" -X POST https://iboot.co/services/v2/configuration/iBoot/set
echo.
echo.

pause
exit