@echo off
cls
:: G2S or G2+ Device

for /f %%y in ('FINDSTR "mac=" unit.txt') do set mac=%%y
set mac=%mac:~4,20%

for /f %%i in ('FINDSTR "token" token.txt') do set temp=%%i
set token=%temp:~27,19%

set table=schedule
set var1=date1
set val1=09/24/2022
set var2=time1
set val2=10:05
set var3=repeat1
set val3=1
set var4=repeatPeriod1
set val4=days
set var5=action1
set val5=cycle
set var6=outlet1
set val6=Exp1
set var7=enable1
set val7=1

echo.
echo Configure Schedule 1 Settings [%mac%]
echo token is %token%
echo.
echo.
echo %table%
echo %var1% - %val1%
echo %var2% - %val2%
echo %var3% - %val3%
echo %var4% - %val4%
echo %var5% - %val5%
echo %var6% - %val6%
echo %var7% - %val7%
echo.
echo.

curl -s -H "Content-Type: application/json" -d "{\"token\":\"%token%\",\"mac\":\"%mac%\",\"%table%\":{\"%var1%\":\"%val1%\",\"%var2%\":\"%val2%\",\"%var3%\":\"%val3%\",\"%var4%\":\"%val4%\",\"%var5%\":\"%val5%\",\"%var6%\":\"%val6%\",\"%var7%\":\"%val7%\"}}" -X POST https://iboot.co/services/v2/configuration/iBoot/set

pause
exit