@echo off
cls
:: G2S or G2+ Device

for /f %%y in ('FINDSTR "mac=" unit.txt') do set mac=%%y
set mac=%mac:~4,20%

for /f %%i in ('FINDSTR "token" token.txt') do set temp=%%i
set token=%temp:~27,19%

set table=schedule
set var1=date2
set val1=02/24/2022
set var2=time2
set val2=12:22
set var3=repeat2
set val3=1
set var4=repeatPeriod2
set val4=Hours
set var5=action2
set val5=on
set var6=outlet2
set val6=Exp2
set var7=enable2
set val7=1

echo.
echo Configure Schedule 2 Settings [%mac%]
echo token is %token%
echo.
echo.
echo %table%
echo %var1% - %val1%
echo %var2% - %val2%
echo %var3% - %val3%
echo %var4% - %val4%
echo %var5% - %val5%
echo %var6% - %val6%
echo %var7% - %val7%
echo.
echo.

curl -s -H "Content-Type: application/json" -d "{\"token\":\"%token%\",\"mac\":\"%mac%\",\"%table%\":{\"%var1%\":\"%val1%\",\"%var2%\":\"%val2%\",\"%var3%\":\"%val3%\",\"%var4%\":\"%val4%\",\"%var5%\":\"%val5%\",\"%var6%\":\"%val6%\",\"%var7%\":\"%val7%\"}}" -X POST https://iboot.co/services/v2/configuration/iBoot/set
echo.
echo.

pause
exit